SystemOrganization addCategory: #'Examples-Seaside'!

WAComponent subclass: #WebCounter
	instanceVariableNames: 'counter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Examples-Seaside'!

!WebCounter class methodsFor: 'class initialization' stamp: 'has 9/28/2014 23:47'!
initialize
	WAAdmin register: self asApplicationAt: 'webcounter'.! !

!WebCounter methodsFor: 'actions' stamp: 'has 9/28/2014 23:43'!
decrease
	counter := counter - 1.! !

!WebCounter methodsFor: 'actions' stamp: 'has 9/28/2014 23:43'!
increase
	counter := counter + 1.! !

!WebCounter methodsFor: 'initialization' stamp: 'has 9/28/2014 23:41'!
initialize
	super initialize.
	counter := 0.! !

!WebCounter methodsFor: 'rendering' stamp: 'has 9/28/2014 23:50'!
renderContentOn: html
	html heading: counter.
	html anchor
		callback: [self increase];
		with: '+'.
	html space.
	html anchor
		callback: [self decrease];
		with: '-'.! !

WAComponent subclass: #WebEmbedded
	instanceVariableNames: 'counters'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Examples-Seaside'!

!WebEmbedded class methodsFor: 'class initialization' stamp: 'has 9/29/2014 00:31'!
initialize
		WAAdmin register: self asApplicationAt: 'webembedded'.! !

!WebEmbedded methodsFor: 'accessing' stamp: 'has 10/2/2014 00:58'!
children
	 ^counters.! !

!WebEmbedded methodsFor: 'initialization' stamp: 'has 10/2/2014 00:57'!
initialize
	super initialize.
	counters := (1 to: 5) collect: [ :each | WebCounter new ]! !

!WebEmbedded methodsFor: 'rendering' stamp: 'has 10/2/2014 00:59'!
renderContentOn: html
	counters
		do: [ :each | html render: each ]
		separatedBy: [ html horizontalRule ]! !

WAComponent subclass: #WebRender
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Examples-Seaside'!

!WebRender class methodsFor: 'class initialization' stamp: 'has 9/29/2014 00:03'!
initialize
	WAAdmin register: self asApplicationAt: 'webrender'.! !

!WebRender methodsFor: 'accessing' stamp: 'has 9/29/2014 00:10'!
items
	^ #('Abacaxis' 'Bananas' 'Laranjas' 'Melancias').! !

!WebRender methodsFor: 'rendering' stamp: 'has 9/29/2014 00:28'!
renderContentOn: html
	html heading: 'An orderedList'.
	html orderedList: [self items do: [:each | html listItem: each]].
	html heading: 'A select list box'.
	html select
		list: self items.! !
WebCounter initialize!
WebEmbedded initialize!
WebRender initialize!
